#! /bin/sh

RPM_INSTALL_PREFIX=/opt

if rpm -q iems_bogofilter > /dev/null 2> /dev/null; then
  rpm -e iems_bogofilter
fi

if rpm -q iems > /dev/null 2> /dev/null; then
  rpm -e iems
  echo "IEMS uninstalled"
  exit
fi

#preun
  $RPM_INSTALL_PREFIX/iems/bin/iemssetup cleanldconf
  $RPM_INSTALL_PREFIX/iems/bin/iemssetup cleanhttpdconf
  $RPM_INSTALL_PREFIX/iems/bin/iemssetup EnableDefSvc

# clean up $RPM_INSTALL_PREFIX/iems directory
# clean up /var/spool/iems
# clean up /var/log/iems
  rm -rf $RPM_INSTALL_PREFIX/iems
  rm -rf /var/log/iems
  rm -rf /var/spool/iems

#postun
  if test -e /etc/httpd/user.iems.administrator; then
    rm -f /etc/httpd/user.iems.administrator
  fi

  if test -e /bin/mail.imarpmsave; then
    rm -f /bin/mail > /dev/null
    mv /bin/mail.imarpmsave /bin/mail
  fi
  if test -e /usr/bin/mailq.imarpmsave; then
    rm -f /usr/bin/mailq > /dev/null
    mv /usr/bin/mailq.imarpmsave /usr/bin/mailq
  fi
  if test -e /usr/sbin/sendmail.imarpmsave; then
    rm -f /usr/sbin/sendmail > /dev/null
    mv /usr/sbin/sendmail.imarpmsave /usr/sbin/sendmail
  fi

  if test -e /usr/share/man; then
    manroot=/usr/share/man
  else
    manroot=/usr/man
  fi

  rm -f $manroot/man8/ldif2ldbm.8.gz > /dev/null
  rm -f $manroot/man8/ldbmcat.8.gz > /dev/null
  rm -f $manroot/man8/responder.8.gz > /dev/null
  rm -f $manroot/man8/sendmail.8.gz > /dev/null
  rm -f $manroot/man8/dbupdate.8.gz > /dev/null
  rm -f $manroot/man8/mailq.8.gz > /dev/null
  rm -f $manroot/man8/mail.8.gz > /dev/null
  rm -f $manroot/man8/rebuild.8.gz > /dev/null
  rm -f $manroot/man8/arcrebuild.8.gz > /dev/null

  if test -e $manroot/man8/ldif2ldbm.8.gz.imarpmsave; then
    mv $manroot/man8/ldif2ldbm.8.gz.imarpmsave $manroot/man8/ldif2ldbm.8.gz
  fi

  if test -e $manroot/man8/ldbmcat.8.gz.imarpmsave; then
    mv $manroot/man8/ldbmcat.8.gz.imarpmsave $manroot/man8/ldbmcat.8.gz
  fi

  if test -e $manroot/man8/responder.8.gz.imarpmsave; then
    mv $manroot/man8/responder.8.gz.imarpmsave $manroot/man8/responder.8.gz
  fi

  if test -e $manroot/man8/sendmail.8.gz.imarpmsave; then
    mv $manroot/man8/sendmail.8.gz.imarpmsave $manroot/man8/sendmail.8.gz
  fi

  if test -e $manroot/man8/dbupdate.8.gz.imarpmsave; then
    mv $manroot/man8/dbupdate.8.gz.imarpmsave $manroot/man8/dbupdate.8.gz
  fi

  if test -e $manroot/man8/mailq.8.gz.imarpmsave; then
    mv $manroot/man8/mailq.8.gz.imarpmsave $manroot/man8/mailq.8.gz
  fi

  if test -e $manroot/man8/mail.8.gz.imarpmsave; then
    mv $manroot/man8/mail.8.gz.imarpmsave $manroot/man8/mail.8.gz
  fi

  if test -e $manroot/man8/rebuild.8.gz.imarpmsave; then
    mv $manroot/man8/rebuild.8.gz.imarpmsave $manroot/man8/rebuild.8.gz
  fi

  if test -e $manroot/man8/arcrebuild.8.gz.imarpmsave; then
    mv $manroot/man8/arcrebuild.8.gz.imarpmsave $manroot/man8/arcrebuild.8.gz
  fi

  if test -d /etc/rc.d/init.d; then
    rm -f /etc/rc.d/init.d/responder
  else
    rm -f /etc/rc.d/responder
  fi

  rm -f /etc/rc.d/rc0.d/K31responder
  rm -f /etc/rc.d/rc3.d/S66responder
  rm -f /etc/rc.d/rc5.d/S66responder
  rm -f /etc/iems.conf

  /usr/sbin/userdel iems

  echo "IEMS uninstalled"
  exit
